%global gem_name diff-lcs

%bcond_with bootstrap

Summary: Provide a list of changes between two sequenced collections
Name:    rubygem-%{gem_name}
Version: 1.5.0
Release: 5%{?dist}
License: MIT OR Artistic-2.0 OR GPL-2.0-or-later
URL:     https://github.com/halostatue/diff-lcs
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem

BuildRequires: ruby(release) rubygems-devel ruby
%if %{without bootstrap}
BuildRequires: rubygem(rspec)
%endif
BuildArch: noarch

%description
Diff::LCS computes the difference between two Enumerable sequences using the McIlroy-Hunt longest
common subsequence (LCS) algorithm. It includes utilities to create a simple HTML diff output format
and a standard diff-like tool.

%prep
%autosetup -n %{gem_name}-%{version}

%build
gem build ../%{gem_name}-%{version}.gemspec

%install
%gem_install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

sed -i 's|^#!.*|#!/usr/bin/ruby|' %{buildroot}%{gem_instdir}/bin/{htmldiff,ldiff}

%check
%if %{without bootstrap}
pushd .%{gem_instdir}
rspec spec
popd
%endif

%files
%license %{gem_instdir}/License.md
%license %{gem_instdir}/docs
%doc %{gem_docdir}
%doc %{gem_instdir}/Code-of-Conduct.md
%doc %{gem_instdir}/Contributing.md
%doc %{gem_instdir}/History.md
%doc %{gem_instdir}/Manifest.txt
%doc %{gem_instdir}/README.rdoc
%{_bindir}/htmldiff
%{_bindir}/ldiff
%{gem_instdir}/bin
%{gem_libdir}
%{gem_spec}
%{gem_instdir}/Rakefile
%{gem_instdir}/spec
%exclude %{gem_instdir}/.*
%exclude %{gem_cache}

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.0-5
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.0-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.0-3
- Rebuilt for OpenCloudOS Stream 23

* Tue Mar 21 2023 Shuo Wang <abushwang@tencent.com> - 1.5.0-2
- close bootstrap

* Mon Mar 20 2023 Shuo Wang <abushwang@tencent.com> - 1.5.0-1
- initial build
